from django.urls import include,path
from django.conf import settings
from django.conf.urls.static import static

from . import views

urlpatterns = [
    # accounts uls
    path('accounts/', include('django_registration.backends.one_step.urls')),
    path('accounts/', include('django.contrib.auth.urls')),
    # the 'name' value as called by the {% url %} template tag
    path('<int:sifrovacka_id>/', views.detail, name='detail'),
    path('<int:sifrovacka_id>/<slug:stage_urlhash>/', views.stage, name='stage'),
    # home page
    path('home/', views.home, name='home'),
    # /
    path('', views.index, name='index'),
    ] + static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)
#if settings.DEBUG:
#    urlpatterns += static(settings.MEDIA_URL,
#                   document_root=settings.MEDIA_ROOT)

